from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class PropertyValueState(IntEnum):
    UNPROCESSED = auto()
    PROCESSED = auto()
    INVALID_NAME = auto()
    INVALID_TYPE = auto()
